libzypp 17.37.10

zypp::ui::selfilter::ByStatus Struct Reference

`#include <zypp/ui/SelFilters.h>`

## Public Member Functions
| ByStatus (Status status_r)
bool | operator() (const ui::Selectable::constPtr &obj) const

## Public Attributes
Status | _status

## Detailed Description

Definition at line 73 of file SelFilters.h.

## Constructor & Destructor Documentation

## ◆ ByStatus()

zypp::ui::selfilter::ByStatus::ByStatus | ( | Status | status_r | ) |
| inline

Definition at line 76 of file SelFilters.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::ui::selfilter::ByStatus::operator() | ( | const ui::Selectable::constPtr & | obj | ) | const
| inline

Definition at line 80 of file SelFilters.h.

## Member Data Documentation

## ◆ _status

Status zypp::ui::selfilter::ByStatus::_status

Definition at line 83 of file SelFilters.h.

The documentation for this struct was generated from the following file:

- zypp/ui/SelFilters.h